Debian Bug report logs - #578293
thunar: copy and paste with CTRL-c CTRL-v doesn't always work

version graph

Package: thunar; Maintainer for thunar is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for thunar is src:thunar.

Reported by: vitaminx <vitaminx@callistix.net>

Date: Sun, 18 Apr 2010 18:03:01 UTC

Severity: normal

Tags: jessie, sid, unreproducible

Merged with 605791

Found in versions thunar/1.0.1-3, thunar/1.0.2-1

Fixed in version thunar/1.2.2-1

Done: Lionel Le Folgoc <mrpouit@gmail.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, vitaminx@callistix.net, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Sun, 18 Apr 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to vitaminx <vitaminx@callistix.net>:
New Bug report received and forwarded. Copy sent to vitaminx@callistix.net, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 18 Apr 2010 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: vitaminx <vitaminx@callistix.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: thunar: copy and paste with CTRL-c CTRL-v doesn't always work
Date: Sun, 18 Apr 2010 19:52:13 +0200
Package: thunar
Version: 1.0.1-3
Severity: normal
Tags: sid

sometimes CTRL-c, CTRL-x and CTRL-v stop working
i'll try to reproduce this behaviour - meanwhile please post to this bug report
if you experience the same.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-4-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages thunar depends on:
ii  desktop-file-utils            0.15-2     Utilities for .desktop files
ii  exo-utils                     0.3.106-1  Utility files for libexo
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-4   The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.24-1   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.86-1     simple interprocess messaging syst
ii  libexo-0.3-0                  0.3.106-1  Library with extensions for Xfce
ii  libfreetype6                  2.3.11-1   FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.24.0-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.0-3   The GTK+ graphical user interface 
ii  libice6                       2:1.0.6-1  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.28.0-1   Layout and rendering of internatio
ii  libsm6                        2:1.1.1-1  X11 Session Management library
ii  libthunar-vfs-1-2             1.0.1-3    VFS abstraction used in thunar
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxfce4util4                 4.6.1-2    Utility functions library for Xfce
ii  shared-mime-info              0.71-1     FreeDesktop.org shared MIME databa
ii  thunar-data                   1.0.1-3    Provides thunar documentation, ico

Versions of packages thunar recommends:
ii  dbus-x11                     1.2.24-1    simple interprocess messaging syst
ii  gamin                        0.1.10-2+b1 File and directory monitoring syst
ii  hal                          0.5.14-2    Hardware Abstraction Layer
ii  thunar-volman                0.3.80-4    Thunar extension for volumes manag
pn  xdg-user-dirs                <none>      (no description available)
ii  xfce4-panel                  4.6.3-1     The Xfce4 desktop environment pane

Versions of packages thunar suggests:
ii  thunar-archive-plugin         0.2.4-5    Archive plugin for Thunar file man
pn  thunar-media-tags-plugin      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Fri, 14 May 2010 04:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charlie Kravetz <cjk@teamcharliesangels.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 14 May 2010 04:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 578293@bugs.debian.org (full text, mbox):

From: Charlie Kravetz <cjk@teamcharliesangels.com>
To: 578293@bugs.debian.org
Subject: re: thunar: copy and paste with CTRL-c CTRL-v doesn't always work
Date: Thu, 13 May 2010 22:32:19 -0600
This bug has been reported to Ubuntu Launchpad as:
https://launchpad.net/578293

Additional information to reproduce the bug:

It only seems to happen with IMAGE files (jpeg) when I copy/paste
within the SAME Thunar window. Pasting from one Thunar to another
Thunar works fine.

Pasting simple text files never seems to fail; that's why I was unable
to reproduce the bug!

-- 
Charlie Kravetz 
Linux Registered User Number 425914          [http://counter.li.org/]
Never let anyone steal your DREAM.           [http://keepingdreams.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Fri, 14 May 2010 06:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 14 May 2010 06:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 578293@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Charlie Kravetz <cjk@teamcharliesangels.com>, 578293@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#578293: thunar: copy and paste with CTRL-c CTRL-v doesn't always work
Date: Fri, 14 May 2010 08:23:47 +0200
[Message part 1 (text/plain, inline)]
tag 578293 unreproducible
thanks
On jeu., 2010-05-13 at 22:32 -0600, Charlie Kravetz wrote:
> This bug has been reported to Ubuntu Launchpad as:
> https://launchpad.net/578293

I guess the bug number is wrong :)
> 
> Additional information to reproduce the bug:
> 
> It only seems to happen with IMAGE files (jpeg) when I copy/paste
> within the SAME Thunar window. Pasting from one Thunar to another
> Thunar works fine.
> 
> Pasting simple text files never seems to fail; that's why I was unable
> to reproduce the bug!
> 
Hmmh, I can't reproduce either. Copy/pasting an image (wether in the
same folder or in a different folder) seems to always work.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 14 May 2010 06:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Fri, 14 May 2010 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charlie Kravetz <cjk@teamcharliesangels.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 14 May 2010 10:09:05 GMT) Full text and rfc822 format available.

Message #22 received at 578293@bugs.debian.org (full text, mbox):

From: Charlie Kravetz <cjk@teamcharliesangels.com>
To: 578293@bugs.debian.org
Subject: Bug#578293: Info received (thunar: copy and paste with CTRL-c CTRL-v doesn't always work)
Date: Fri, 14 May 2010 04:00:40 -0600
Well, I must apologize for taking your valuable time. I really messed
up the message. The real launchpad bug is found at:
https://bugs.launchpad.net/bugs/374525

The reporter that reproduced could only make it fail with .jpg files. 

-- 
Charlie Kravetz 
Linux Registered User Number 425914          [http://counter.li.org/]
Never let anyone steal your DREAM.           [http://keepingdreams.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Thu, 27 May 2010 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 27 May 2010 02:51:04 GMT) Full text and rfc822 format available.

Message #27 received at 578293@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: vitaminx <vitaminx@callistix.net>, Charlie Kravetz <cjk@teamcharliesangels.com>, Yves-Alexis Perez <corsac@debian.org>
Cc: 578293@bugs.debian.org
Subject: Re: thunar: copy and paste with CTRL-c CTRL-v doesn't always work
Date: Wed, 26 May 2010 22:47:52 -0400
Hi,

I have seen this bug now and then.  I have no idea what causes it; it's
erratic and infrequent.  From my experience, CTRL-C works fine; the
problem is with CTRL-V.  I can press CTRL-V repeatedly with no result.
"Paste" from the right-click context menu still works.

Peace,
John Lindgren





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Wed, 21 Jul 2010 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to domin144@o2.pl:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 21 Jul 2010 15:39:06 GMT) Full text and rfc822 format available.

Message #32 received at 578293@bugs.debian.org (full text, mbox):

From: domin144@o2.pl
To: 578293@bugs.debian.org
Subject: Bug#578293: connfirmation
Date: Wed, 21 Jul 2010 17:36:45 +0200
Hi,

I've got this bug too. Only ctrl-v doesn't work.
No matter if I try to move files between windows or in
the same window. Type of files doesn't matter either
(tried with folders, wma videos, jpg images)
I got this error on XUbuntu 9.10 Live CD.
Paste in context menu works fine.
In mousepad I can use ctrl-c ctrl-v with no problem.

Hope you'll find the reason.
Cheers,
Dominik Wójt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Wed, 21 Jul 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerzy Jalocha N <jjalocha@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 21 Jul 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #37 received at 578293@bugs.debian.org (full text, mbox):

From: Jerzy Jalocha N <jjalocha@gmail.com>
To: 578293@bugs.debian.org
Subject: Re: Bug#578293: connfirmation
Date: Wed, 21 Jul 2010 12:01:37 -0400
Strange,
both links to the Ubuntu Launchpad bug reports above seem to be wrong.
Here are two links that shoud work:

   https://bugs.launchpad.net/ubuntu/+source/thunar/+bug/177103
   https://bugs.launchpad.net/ubuntu/+source/thunar/+bug/231923

This has been confirmed many times by different people, but it is very
difficult to reproduce. Right now, it is not happening with my
computer, but once it happens, you are stuck with it for quite a long
time.

Thanks,
Jerzy




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Tue, 02 Nov 2010 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Louis Dupont <louis3d@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 02 Nov 2010 06:24:03 GMT) Full text and rfc822 format available.

Message #42 received at 578293@bugs.debian.org (full text, mbox):

From: Louis Dupont <louis3d@gmail.com>
To: 578293@bugs.debian.org
Subject: Thunar paste by shortcut doesn't work
Date: Tue, 2 Nov 2010 07:21:54 +0100
[Message part 1 (text/plain, inline)]
Hello,

This bug : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578293

seems to be reapeatable only when the user has toggled to thumbnail view in
the current Thunar session. If the view (changed with ctrl+1 or 2 or 3) has
not been modified, ctrl+V works. Otherwise it is disabled.

Thanks,
Bonne journée,
Louis
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Tue, 02 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerzy Jalocha N <jjalocha@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 02 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 578293@bugs.debian.org (full text, mbox):

From: Jerzy Jalocha N <jjalocha@gmail.com>
To: Louis Dupont <louis3d@gmail.com>, 578293@bugs.debian.org
Subject: Re: Bug#578293: Thunar paste by shortcut doesn't work
Date: Tue, 2 Nov 2010 09:12:05 -0300
Louis seems to have found the missing link! I can confirm that I can
now reproduce the bug under the following conditions:
 * "View as Icons"
 * Copy an image (JPEG)
 * Paste in the SAME Thunar browser, using CTRL+V

This is not a Debian-only bug, as I am reproducing this right now in
Thunar 1.0.2 under Arch Linux.

Thanks,
Jerzy




Information forwarded to debian-bugs-dist@lists.debian.org, cancivolonter@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Thu, 11 Nov 2010 21:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to canci <cancivolonter@gmail.com>:
Extra info received and forwarded to list. Copy sent to cancivolonter@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 11 Nov 2010 21:48:06 GMT) Full text and rfc822 format available.

Message #52 received at 578293@bugs.debian.org (full text, mbox):

From: canci <cancivolonter@gmail.com>
To: Debian Bug Tracking System <578293@bugs.debian.org>
Subject: Re: Confirming copy/paste bug
Date: Thu, 11 Nov 2010 22:47:08 +0100
Package: thunar
Version: 1.0.2-1+b1
Severity: normal

I have the same problem when trying to copy paste from a Thunar window to the
desktop, regardless of using the keys or doing it via right-click context menu.
It happens every time. Copy paste between 2 windows works every time.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=bs_BA.UTF-8, LC_CTYPE=bs_BA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages thunar depends on:
ii  desktop-file-utils            0.15-2     Utilities for .desktop files
ii  exo-utils                     0.3.107-1  Utility files for libexo
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-6   The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.24-3   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.88-2     simple interprocess messaging syst
ii  libexo-0.3-0                  0.3.107-1  Library with extensions for Xfce
ii  libfreetype6                  2.4.2-1    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.1-2   The GTK+ graphical user interface 
ii  libice6                       2:1.0.6-2  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.28.3-1   Layout and rendering of internatio
ii  libsm6                        2:1.1.1-1  X11 Session Management library
ii  libthunar-vfs-1-2             1.0.2-1+b1 VFS abstraction used in thunar
ii  libx11-6                      2:1.3.3-3  X11 client-side library
ii  libxfce4util4                 4.6.2-1    Utility functions library for Xfce
ii  shared-mime-info              0.71-3     FreeDesktop.org shared MIME databa
ii  thunar-data                   1.0.2-1    Provides thunar documentation, ico

Versions of packages thunar recommends:
ii  dbus-x11                      1.2.24-3   simple interprocess messaging syst
pn  gamin                         <none>     (no description available)
ii  hal                           0.5.14-3   Hardware Abstraction Layer
ii  thunar-volman                 0.3.80-4   Thunar extension for volumes manag
pn  xdg-user-dirs                 <none>     (no description available)
ii  xfce4-panel                   4.6.4-1    The Xfce4 desktop environment pane

Versions of packages thunar suggests:
pn  thunar-archive-plugin         <none>     (no description available)
ii  thunar-media-tags-plugin      0.1.2-2    Media tags plugin for Thunar file 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Thu, 11 Nov 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Amir Dizdarević <cancivolonter@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 11 Nov 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 578293@bugs.debian.org (full text, mbox):

From: Amir Dizdarević <cancivolonter@gmail.com>
To: Debian Bug Tracking System <578293@bugs.debian.org>
Subject: Re: Bug#578293: Confirming copy/paste bug
Date: Thu, 11 Nov 2010 23:12:24 +0100
[Message part 1 (text/plain, inline)]
I just wanted to add that using gamin rather than fam didn't help.
Also, dragging a file from a Thunar window to the Xfce Desktop
copies the file just fine every time.

Thank you for your time and work!


On 11 November 2010 22:47, canci <cancivolonter@gmail.com> wrote:

> Package: thunar
> Version: 1.0.2-1+b1
> Severity: normal
>
> I have the same problem when trying to copy paste from a Thunar window to
> the
> desktop, regardless of using the keys or doing it via right-click context
> menu.
> It happens every time. Copy paste between 2 windows works every time.
>
>
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
> Locale: LANG=bs_BA.UTF-8, LC_CTYPE=bs_BA.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages thunar depends on:
> ii  desktop-file-utils            0.15-2     Utilities for .desktop files
> ii  exo-utils                     0.3.107-1  Utility files for libexo
> ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
> ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared
> lib
> ii  libcairo2                     1.8.10-6   The Cairo 2D vector graphics
> libra
> ii  libdbus-1-3                   1.2.24-3   simple interprocess messaging
> syst
> ii  libdbus-glib-1-2              0.88-2     simple interprocess messaging
> syst
> ii  libexo-0.3-0                  0.3.107-1  Library with extensions for
> Xfce
> ii  libfreetype6                  2.4.2-1    FreeType 2 font engine, shared
> lib
> ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines
> ii  libgtk2.0-0                   2.20.1-2   The GTK+ graphical user
> interface
> ii  libice6                       2:1.0.6-2  X11 Inter-Client Exchange
> library
> ii  libpango1.0-0                 1.28.3-1   Layout and rendering of
> internatio
> ii  libsm6                        2:1.1.1-1  X11 Session Management library
> ii  libthunar-vfs-1-2             1.0.2-1+b1 VFS abstraction used in thunar
> ii  libx11-6                      2:1.3.3-3  X11 client-side library
> ii  libxfce4util4                 4.6.2-1    Utility functions library for
> Xfce
> ii  shared-mime-info              0.71-3     FreeDesktop.org shared MIME
> databa
> ii  thunar-data                   1.0.2-1    Provides thunar documentation,
> ico
>
> Versions of packages thunar recommends:
> ii  dbus-x11                      1.2.24-3   simple interprocess messaging
> syst
> pn  gamin                         <none>     (no description available)
> ii  hal                           0.5.14-3   Hardware Abstraction Layer
> ii  thunar-volman                 0.3.80-4   Thunar extension for volumes
> manag
> pn  xdg-user-dirs                 <none>     (no description available)
> ii  xfce4-panel                   4.6.4-1    The Xfce4 desktop environment
> pane
>
> Versions of packages thunar suggests:
> pn  thunar-archive-plugin         <none>     (no description available)
> ii  thunar-media-tags-plugin      0.1.2-2    Media tags plugin for Thunar
> file
>
> -- no debconf information
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Fri, 12 Nov 2010 07:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 12 Nov 2010 07:27:07 GMT) Full text and rfc822 format available.

Message #62 received at 578293@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Louis Dupont <louis3d@gmail.com>, 578293@bugs.debian.org
Subject: Re: [Pkg-xfce-devel] Bug#578293: Thunar paste by shortcut doesn't work
Date: Fri, 12 Nov 2010 08:25:01 +0100
[Message part 1 (text/plain, inline)]
On mar., 2010-11-02 at 07:21 +0100, Louis Dupont wrote:
> This bug : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578293
> 
> seems to be reapeatable only when the user has toggled to thumbnail view in
> the current Thunar session. If the view (changed with ctrl+1 or 2 or 3) has
> not been modified, ctrl+V works. Otherwise it is disabled. 

What exactly do you call “thumbnail view”? The icon view?

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Fri, 12 Nov 2010 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Louis Dupont <louis3d@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Fri, 12 Nov 2010 14:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 578293@bugs.debian.org (full text, mbox):

From: Louis Dupont <louis3d@gmail.com>
To: Yves-Alexis Perez <corsac@debian.org>
Subject: Re: [Pkg-xfce-devel] Bug#578293: Thunar paste by shortcut doesn't work
Date: Fri, 12 Nov 2010 15:37:29 +0100
Bonjour,

Yes, exactly, icon view ("Vue -> Vue en icônes " in french version)
Sorry for inaccuracy,

Regards,

Louis

Yves-Alexis Perez a écrit :
> On mar., 2010-11-02 at 07:21 +0100, Louis Dupont wrote:
>    
>> This bug : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578293
>>
>> seems to be reapeatable only when the user has toggled to thumbnail view in
>> the current Thunar session. If the view (changed with ctrl+1 or 2 or 3) has
>> not been modified, ctrl+V works. Otherwise it is disabled.
>>      
> What exactly do you call “thumbnail view”? The icon view?
>
> Cheers,
>    




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Thu, 23 Dec 2010 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sidh@rtha.info:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Thu, 23 Dec 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #72 received at 578293@bugs.debian.org (full text, mbox):

From: Sidh <sidh@rtha.info>
To: 578293@bugs.debian.org
Subject: Bug#578293: Confirming copy/paste bug
Date: Thu, 23 Dec 2010 11:10:41 +0100
Greetings,


When I move files (pdf, jpg) with ctrl + X and ctrl + V from one thunar 
window to another, my files are deleted, if I do the same operation on 
the same thunar window, it's OK.

I found this bug quite critical for a file manager ...

Here is the extract from the xsession-errors file that could match with 
the problem :

(Thunar:2690): Gdk-CRITICAL **: gdk_window_get_window_type: assertion 
`GDK_IS_WINDOW (window)' failed.


Maybe pcmanfm could be another lightweight alternative the time thunar 
related deb packages* become reliable.

Regards,


P.S. I had feedback from a user using XFCE on OpenBSD, he doesn't have 
this problem.









Forcibly Merged 578293 605791. Request was from Lionel Le Folgoc <lionel@lefolgoc.net> to control@bugs.debian.org. (Thu, 31 Mar 2011 14:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#578293; Package thunar. (Wed, 17 Aug 2011 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Le Folgoc <mrpouit@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 17:09:07 GMT) Full text and rfc822 format available.

Message #79 received at 578293@bugs.debian.org (full text, mbox):

From: Lionel Le Folgoc <mrpouit@gmail.com>
To: 578293@bugs.debian.org
Subject: Should be fixed in thunar 1.2.2
Date: Wed, 17 Aug 2011 19:07:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

If someone is using testing or unstable, there's thunar 1.2.2 which
includes a fix for copy/paste issues between thunar instances. Any
chances someone could test?

Thanks.

-- 
Lionel
[signature.asc (application/pgp-signature, inline)]

Bug marked as fixed in version 1.2.2-1, send any further explanations to vitaminx <vitaminx@callistix.net> Request was from Lionel Le Folgoc <mrpouit@gmail.com> to control@bugs.debian.org. (Fri, 23 Dec 2011 19:57:04 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:26:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.